Subject: [bug#64748] [PATCH] gnu: webrtc-for-telegram-desktop: Update to a45d8b8

From: Raghav Gururajan <[email-masked]>
Date: Mon, 24 Jul 2023 16:17:19 -0400

Hello,

> I just tested trying to replace all the libsrtp but not luck from side,
> they use for example:
> - third_party/libsrtp/crypto/include/crypto_types.h
> - third_party/libsrtp/include/srtp.h
>
>> Yes, but we would still need to patch webrtc-for-telegram-desktop as the
>> code currently refers to headers in the submodule directory. Now that I
>> think of it, it could actually be relatively easy with a regex substitution
>> (something like s!^#include "third_party/(srtp/[^"]*)"$!#include <\1>!)
>> on every file. That's of course assuming that the code only refers to
>> headers in the submodule.

I was wondering if we could add new phase after unpack that copies 
contents from libsrtp package to `[build-dir]/third_party/libsrtp`.

Regards,
RG.